part of 'course_detail_bloc.dart';


@immutable
abstract class CourseDetailState extends Equatable {

  const CourseDetailState();
  @override
  List<Object?> get props => [];
}

class CourseDetailInitial extends CourseDetailState {
  const CourseDetailInitial();
  @override
  List<Object?> get props => [];
}

class CourseDetailLoading extends CourseDetailState {
  const CourseDetailLoading();
}

class CourseDetailFailed extends CourseDetailState {
  final String? message;
  const CourseDetailFailed(this.message);
}

class CourseDetailSuccess extends CourseDetailState {
  final CourseDetailModel courseDetailModel;
  const CourseDetailSuccess(this.courseDetailModel);
  @override
  List<Object?> get props => [courseDetailModel];
}

class CourseDetailResetState extends CourseDetailState {
  const CourseDetailResetState();
}


